> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/instance-level.md).

# Instance Level

Here you can find the endpoints and parameters for Instances, using the DT Management API.

## Get Instances <a href="#id-01fnx85y75cpej46pfn1ejwyme" id="id-01fnx85y75cpej46pfn1ejwyme"></a>

**Description**

Return the instance configuration by Instance ID.

Show all the configured instances for a specific placement.

**Method**

`GET console.fyber.com/api/management/v1/instance?instanceInternalId=`

`GET console.fyber.com/api/management/v1/instance?placementId=`

### Request Parameters <a href="#id-01fnx85y750kn9arq37y3h2rk3" id="id-01fnx85y750kn9arq37y3h2rk3"></a>

| Key                | Description                    | Type   | Required | Example |
| ------------------ | ------------------------------ | ------ | -------- | ------- |
| instanceInternalId | The ID of the instance (DT ID) | String | Required | 678643  |
| PlacementId        | The ID of the placement        | String | Required | 10804   |

### Example Request <a href="#id-01fnx85y75pxvh2pxr0qcd4d6p" id="id-01fnx85y75pxvh2pxr0qcd4d6p"></a>

```
console.fyber.com/api/management/v1/instance?placementId=10804
```

### Response Parameters <a href="#id-01fnx85y75380xsqbqtmkbjrqn" id="id-01fnx85y75380xsqbqtmkbjrqn"></a>

| Key                 | Description                                                                                                                                                                              | Type                                                                 | Example                                                                          |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- | -------------------------------------------------------------------------------- |
| name                | DT instance name                                                                                                                                                                         | String                                                               | "my-instance"                                                                    |
| instanceInternalId  | DT instance ID                                                                                                                                                                           | String                                                               | "123123"                                                                         |
| mediatedNetworkName | The mediated network of the instance                                                                                                                                                     | String                                                               | "Meta"                                                                           |
| instanceId          | External instance value                                                                                                                                                                  | String                                                               | "my-instanceId"                                                                  |
| status              | <p>The status of the instance.<br>Can be either "active" or "inactive"</p>                                                                                                               | String                                                               | "active"                                                                         |
| userTrackingStatus  | User tracking status                                                                                                                                                                     | String                                                               |                                                                                  |
| targetedCountries   | The targeted countries of the instance                                                                                                                                                   | Object (enabled: boolean, include: boolean, countries: string array) | <p>{<br>"countries": \["BT", "SG"],<br>"include": true, "enabled": true<br>}</p> |
| cpmManualPrices     | <p>The manually set CPM price you predict to be paid by this instance.<br><br>This price will be used if "Manual" CPM price method is selected or while Auto CPM prediction ramps up</p> | Object Array (Country: string, price: number)                        | <p>\[{<br>“Country”: “WW”, “Price”: 0.01<br>}]</p>                               |
| cpmPriceMethod      | Manual/AUTO                                                                                                                                                                              | String                                                               | "AUTO"                                                                           |
| capping             | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                                                                           | Object (value: number, unit: String, enabled: boolean)               | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>               |
| pacing              | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>                                                              | Object (value: number, unit: String, enabled: boolean)               | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>               |

### Example Response <a href="#id-01fnx85y76a1za1h2phe9kjh6r" id="id-01fnx85y76a1za1h2phe9kjh6r"></a>

{% code title="" %}

```json
[
       {
           "Name": "my-instance-name-1",
           "instanceInternalId": "123123",
           "mdiatedNetworkName": "Meta",
           "instanceId": "my-instance-id",
           "status": "active",
           "userTrackingStatus": "Tracking Only",
           "cpmInstancePrices": [
               {
                   "country": "WW",
                   "price": 0.01
               }
           ]
       }
    ]
    
```

{% endcode %}

## Create Instance <a href="#id-01fnx85y76wa4gwrfrdg7dwr41" id="id-01fnx85y76wa4gwrfrdg7dwr41"></a>

**Description**

Show all the configured instances for a specific placement.

**Method**

`POST https://console.fyber.com/api/management/v1/instance`

### Request Parameters <a href="#id-01fnx85y76rcfsp11tprsc5tpk" id="id-01fnx85y76rcfsp11tprsc5tpk"></a>

| Key                 | Description                                                                                                                                                                              | Type                                                                 | Required | Example                                                                          |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------- |
| placementId         | The ID of the placement                                                                                                                                                                  | String                                                               | Required | "123321"                                                                         |
| name                | The name of the instance                                                                                                                                                                 | String                                                               | Required | "my-instance-name"                                                               |
| instanceId          | The external instance ID                                                                                                                                                                 | String                                                               | Required | "my-instance-id"                                                                 |
| mediatedNetworkName | The mediated network                                                                                                                                                                     | String                                                               | Required | "Meta"                                                                           |
| UserTrackingStatus  | \*only if enabled=true                                                                                                                                                                   | String                                                               | Optional | “Tracking Only”                                                                  |
| geo                 | \*only if enabled=true                                                                                                                                                                   | Object (enabled: boolean, include: boolean, countries: string array) | Optional | <p>{<br>"countries": \["BT", "SG"],<br>"include": true, "enabled": true<br>}</p> |
| capping             | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                                                                           | Object (value: number, unit: string)                                 | Optional | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>               |
| pacing              | <p>\*only if cpmPriceMethod=<br>manual<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>                                                 | Object (value: number, unit: string)                                 | Optional | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>               |
| cpmManualPrices     | <p>The manually set CPM price you predict to be paid by this instance.<br><br>This price will be used if "Manual" CPM price method is selected or while Auto CPM prediction ramps up</p> | Object array (price:number, country:string)                          | Optional | <p>\[{<br>price: 2,<br>Country: “US”<br>}]</p>                                   |
| cpmPriceMethod      | The CPM price method of the instance                                                                                                                                                     | String                                                               | Optional | "AUTO"                                                                           |

Starting from March 1st 2022, the names of Facebook and Facebook Bidder in the Management API have been changed to Meta and Meta Bidder, accordingly. Adjust when using the API, as required.

### Example Request <a href="#id-01fnx85y76erpmq1w7cz6g2x42" id="id-01fnx85y76erpmq1w7cz6g2x42"></a>

{% code title="" %}

```json
[{
    "placementId": "12345",
    "name": "instance_name",
    "instanceInternalId": "instance_id",
    "mediatedNetworkName": "Meta",
    "cpmPriceMethod": "manual",
    "cpmManualPrices": [
    {
    "country": "AF",
    "price": 0.5
    },
    {
    "country": "WW",
    "price": 0.6
    }]
    ],
    "capping": {
    "value": 12,
    "unit": "minute",
    "enabled": true
    },
    "pacing": {
    "value": 12,
    "unit": "minute",
    "enabled": true
    },
    "geo": {
    "countries": ["BT", "SG"],
    "include": true,
    "enabled": true
    },
    "UserTrackingStatus": "Tracking Only"
    }
    
```

{% endcode %}

### Response Parameters <a href="#id-01fnx85y76g6afn3nxzrgg3ky3" id="id-01fnx85y76g6afn3nxzrgg3ky3"></a>

| Key                 | Description                                                                                                                                                                              | Type                                           | Example                                                                                     |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- | ------------------------------------------------------------------------------------------- |
| name                | DT instance name                                                                                                                                                                         | String                                         | "my-instance"                                                                               |
| instanceInternalId  | DT instance ID                                                                                                                                                                           | String                                         | "123123"                                                                                    |
| mediatedNetworkName | The mediated network of the instance                                                                                                                                                     | String                                         | "Meta"                                                                                      |
| instanceId          | External instance value                                                                                                                                                                  | String                                         | "my-instanceId"                                                                             |
| status              | <p>The status of the instance.<br>Can be either "active" or "inactive"</p>                                                                                                               | String                                         | "active"                                                                                    |
| userTrackingStatus  | User tracking status                                                                                                                                                                     | String                                         | "Tracking Only"                                                                             |
| targetedCountries   | The targeted countries of the instance                                                                                                                                                   | Object (include: boolean, value: string array) | {”enabled”: true, “include”: true, “countries”: \[“US”]}                                    |
| cpmManualPrices     | <p>The manually set CPM price you predict to be paid by this instance.<br><br>This price will be used if "Manual" CPM price method is selected or while Auto CPM prediction ramps up</p> | Object Array (country: string, price: number)  | <p>\[{<br>“Country”: “WW”, “value”: 0.01<br>},{<br>“Country”: “IL”, “Price”: 0.01<br>}]</p> |
| capping             | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                                                                           | Object (value: number, unit: string)           | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                          |
| pacing              | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>                                                              | Object (value: number, unit: string)           | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                          |

### Example Response <a href="#id-01fnx85y76gmk3ahthxmtab8mk" id="id-01fnx85y76gmk3ahthxmtab8mk"></a>

{% code title="" %}

```json
{
           "name": "my-instance-name-1",
           "instanceInternalId": "123123",
           "mediatedNetworkName": "Meta",
           "instanceId": "my-instance-id",
           "status": "active",
           "userTrackingStatus": "Tracking Only",
           "cpmManualPrices": [
               {
                   "country": "WW",
                   "price": 0.01
               }
           ]
       }
    
```

{% endcode %}

## Update Instance <a href="#id-01fnx85y76vcapkve7acnx09q0" id="id-01fnx85y76vcapkve7acnx09q0"></a>

**Description**

Show all the configured instances for a specific placement.

**Method**

`PUT https://console.fyber.com/api/management/v1/instance`

### Request Parameters <a href="#id-01fnx85y76h885p08ddwzy7cz1" id="id-01fnx85y76h885p08ddwzy7cz1"></a>

| Key                | Description                                                                                                                                                                              | Type                                                                 | Required | Example                                                                               |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------- |
| instanceInternalId | The DT ID of the instance                                                                                                                                                                | String                                                               | Required | "123123"                                                                              |
| name               | The name of the instance                                                                                                                                                                 | String                                                               | Optional | "my-instance-name"                                                                    |
| cpmPriceMethod     | The CPM price method of the instance                                                                                                                                                     | String                                                               | Optional | “auto”                                                                                |
| status             | <p>The status of the instance.<br>Can be either "active" or "inactive"</p>                                                                                                               | String                                                               | Optional | “inactive”                                                                            |
| userTrackingStatus | User tracking status                                                                                                                                                                     | String                                                               | Optional | “Tracking Only”                                                                       |
| geo                | \*only if enabled=true                                                                                                                                                                   | Object (enabled: boolean, include: boolean, countries: string array) | Optional | <p>{<br>"countries": \["BT", "SG"],<br>"include": true, "enabled": true<br>}</p>      |
| capping            | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                                                                           | Object (value: number, unit: string)                                 | Optional | { "value": 12, "unit": "minute", "enabled": true }                                    |
| pacing             | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>                                                              | Object (value: number, unit: string)                                 | Optional | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                    |
| cpmManualPrices    | <p>The manually set CPM price you predict to be paid by this instance.<br><br>This price will be used if "Manual" CPM price method is selected or while Auto CPM prediction ramps up</p> | Object Array (country: string, price: number)                        | Optional | <p>\[{<br>“Country”: “WW”, “price”: 0.01 },{ “Country”: “IL”, “Price”: 0.01<br>}]</p> |

### Example Request <a href="#id-01fnx85y76tz4m7w89m8ttg1cd" id="id-01fnx85y76tz4m7w89m8ttg1cd"></a>

```json
{
    "instanceInternalId": "12345",
    "name": "updated_name",
    "status": "inactive",
    "cpmPriceMethod": "manual",
    "cpmManualPrices": [
    {
    "country": "AF",
    "price": 0.5
    },
    {
    "country": "WW",
    "price": 0.6
    }
    ],
    "capping": {
    "value": 12,
    "unit": "minute",
    "enabled": true
    },
    "pacing": {
    "value": 12,
    "unit": "minute",
    "enabled": true
    },
    "geo": {
    "countries": ["BT","SG"],
    "include": true,
    "enabled": true
    },
    "UserTrackingStatus": "Tracking Only"
    }
    
```

### Response Parameters <a href="#id-01fnx85y77s975qcd81rkswyze" id="id-01fnx85y77s975qcd81rkswyze"></a>

| Key                 | Description                                                                                                                                                                              | Type                                                                 | Example                                                                          |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- | -------------------------------------------------------------------------------- |
| name                | DT instance name                                                                                                                                                                         | String                                                               | "my-instance"                                                                    |
| instanceInternalId  | DT instance ID                                                                                                                                                                           | String                                                               | "123123"                                                                         |
| mediatedNetworkName | The mediated network of the instance                                                                                                                                                     | String                                                               | “Meta”                                                                           |
| instanceId          | External instance value                                                                                                                                                                  | String                                                               | “my-instanceId”                                                                  |
| status              | <p>The status of the instance.<br>Can be either "active" or "inactive"</p>                                                                                                               | String                                                               | “active”                                                                         |
| userTrackingStatus  | User tracking status                                                                                                                                                                     | String                                                               | “Tracking Only”                                                                  |
| targetedCountries   | The targeted countries of the instance                                                                                                                                                   | Object (enabled: boolean, include: boolean, countries: string array) | <p>{<br>"countries": \["BT", "SG"],<br>"include": true, "enabled": true<br>}</p> |
| cpmManualPrices     | <p>The manually set CPM price you predict to be paid by this instance.<br><br>This price will be used if "Manual" CPM price method is selected or while Auto CPM prediction ramps up</p> | Object Array (country: string, price: number)                        | <p>\[{<br>“Country”: “WW”, “Price”: 0.01<br>}]</p>                               |
| capping             | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                                                                           | Object (value: number, unit: string)                                 | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>               |
| pacing              | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>                                                              | Object (value: number, unit: string)                                 | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>               |

### Example Response <a href="#id-01fnx85y7707f5emvw8j3fqfy6" id="id-01fnx85y7707f5emvw8j3fqfy6"></a>

{% code title="" %}

```json
  {
           "Name": "my-instance-name-1",
           "instanceInternalId": "123123",
           "mediatedNetworkName": "Meta",
           "instanceId": "my-instance-id",
           "status": "active",
           "userTrackingStatus": "Tracking Only",
           "targetedCountries": {
               "include": true,
               "countries": []
           },
           "cpmManualPrices": [
               {
                   "country": "WW",
                   "price": 0.01
               }
           ]
       }
    
```

{% endcode %}

## Delete Instance <a href="#id-01fnx85y77q5jnrz89j2v2ye4n" id="id-01fnx85y77q5jnrz89j2v2ye4n"></a>

**Description**

Delete a specific instance.

**Method**

`DELETE https://console.fyber.com/api/management/v1/instance`

### Request Parameters <a href="#id-01fnx85y778459vg7j3zwt6c1m" id="id-01fnx85y778459vg7j3zwt6c1m"></a>

| Key                | Description               | Required | Type   |
| ------------------ | ------------------------- | -------- | ------ |
| instanceInternalId | The DT ID of the instance | Required | String |

### Example Request <a href="#id-01fnx85y77cbr68c5rxb80j3gv" id="id-01fnx85y77cbr68c5rxb80j3gv"></a>

```
{
       "instanceInternalId": "123123"
    }
    Response Parameters
    
    Response example:
    {
       "message": "Instance 123123 has been deleted
successfully."
    }
    
```

## Multi-Test <a href="#id-01fnx85y77jda7h4zb64vkwtvy" id="id-01fnx85y77jda7h4zb64vkwtvy"></a>

* It is **not** possible to create or update Placements under multi-test
* It is possible to use the ‘Get’ method to return them - get placement by placement ID, get placements by app ID, get instance by instance ID and get instances by placement ID;

For more information, see [Placement Experiments](/dt-fairbid/advanced-configurations/placement-experiments.md).

### Example Response <a href="#id-01fnx85y774h900ptw0wabhxyn" id="id-01fnx85y774h900ptw0wabhxyn"></a>

{% code title="" %}

```json
{
       "placementId": "257561",
       "name": "created by api",
       "appId": "206148",
       "placementType": "Rewarded",
       "status": "active",
       "coppa": true,
       "rewardedConfig": {
           "id": "2261",
           "currency": {
               "id": "2284",
               "appId": "206148",
               "currency": "stars"
           },
           "amount": 6,
           "rewardingType": "server",
           "placementId": "257561"
       },
       "variants": [
           {
               "variantName": "Variant 1",
               "floorPrices": [
                   {
                       "country": "WW",
                       "price": 53
                   }
               ],
               "targetingEnabled": true,
               "connectivity": [
                   "Cellular Network"
               ],
               "geo": {
                   "include": false,
                   "countries": [
                       "AU",
                       "CA"
                   ]
               },
               "capping": {
                   "value": 43,
                   "unit": "day",
                   "enabled": true
               },
               "pacing": {
                   "value": 45,
                   "unit": "minute",
                   "enabled": true
               }
           },
           {
               "variantName": "Variant 2",
               "floorPrices": [
                   {
                       "country": "WW",
                       "price": 67
                   }
               ],
               "targetingEnabled": true,
               "connectivity": [
                   "Wifi"
               ],
               "geo": {
                   "include": true,
                   "countries": [
                       "AU",
                       "CA",
                       "GB",
                       "NZ",
                       "US"
                   ]
               },
               "capping": {
                   "value": 5,
                   "unit": "minute",
                   "enabled": true
               },
               "pacing": {
                   "value": 5,
                   "unit": "second",
                   "enabled": true
               }
           }
       ]
    }
    
```

{% endcode %}

### Store Categories <a href="#id-01fnx85y7757bggbt3bk5c08dg" id="id-01fnx85y7757bggbt3bk5c08dg"></a>

Set out below are a list of all store categories:

<details>

<summary><strong>Android Store Categories</strong></summary>

'Books & Reference', 'Business', 'Comics', 'Communication', 'Education', 'Entertainment', 'Finance', 'Games - Arcade & Action', 'Games - Brain & Puzzle', 'Games - Cards & Casino', 'Games - Casual', 'Games - Live Wallpaper', 'Games - Racing', 'Games - Sports Games', 'Games - Widgets', 'Health & Fitness', 'Libraries & Demo', 'Lifestyle', 'Live Wallpaper', 'Media & Video', 'Medical', 'Music & Audio', 'News & Magazines', 'Personalization', 'Photography', 'Productivity', 'Shopping', 'Social', 'Sports', 'Tools', 'Transportation', 'Travel & Local', 'Weather', 'Widgets', 'Casual', 'Android Wear', 'Art & Design', 'Auto & Vehicles', 'Beauty', 'Dating', 'Events', 'Action', 'Adventure', 'Arcade', 'Board', 'Games - Cards', 'Casino', 'Educational', 'Family', 'Music Games', 'Puzzle', 'Role Playing', 'Simulation', 'Strategy', 'Trivia', 'Word Games', 'House & Home', 'Maps & Navigation', 'Overall', 'Parenting', 'Video Players & Editors', 'Word', 'Card'

</details>

<details>

<summary><strong>iOS Store Categories</strong></summary>

'Books', 'Business', 'Catalogs', 'Education', 'Entertainment', 'Finance', 'Food & Drink', 'Games - Action', 'Games - Adventure', 'Games - Arcade', 'Games - Board', 'Games - Card', 'Games - Casino', 'Games - Dice', 'Games - Educational', 'Games - Family', 'Games - Kids', 'Games - Music', 'Games - Puzzle', 'Games - Racing', 'Games - Role Playing', 'Games - Simulation', 'Games - Sports', 'Games - Strategy', 'Games - Trivia', 'Games - Word', 'Health & Fitness', 'Lifestyle', 'Medical', 'Music', 'Navigation', 'News', 'Newsstand', 'Photo & video', 'Productivity', 'Reference', 'Social Networking', 'Sports', 'Travel', 'Utilities', 'Weather', 'Games

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/instance-level.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
